using ProjectManagementSystem.Common.Service;
using ProjectManagementSystem.WebApi.Filters;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Web.Http;
using System.Web.Http.Description;

namespace ProjectManagementSystem.WebApi.Controller
{
    [GlobalActionFilter]
    [ApiExplorerSettings(IgnoreApi = true)]
    public class CallbackController : ApiController
    {
        private CallbackService callbackService = new CallbackService();

        [AcceptVerbs("Get", "POST")]
        public string TaskCancelNotice([FromBody] object dataObject)
        {
            return callbackService.TaskCancelNotice(dataObject);
        }

        [AcceptVerbs("Get", "POST")]
        public string SendTransparentData([FromBody] object dataObject)
        {
            return callbackService.SendTransparentData(dataObject);
        }

        [AcceptVerbs("Get", "POST")]
        public string TaskStepStart([FromBody] object dataObject)
        {
            return callbackService.TaskStepStart(dataObject);
        }

        [AcceptVerbs("Get", "POST")]
        public string TaskStepEnd([FromBody] object dataObject)
        {
            return callbackService.TaskStepEnd(dataObject);
        }
    }
}
